package keel.Algorithms.FingerprintClassification.Jain99;

public class Neuron {
	
	public static final int INPUT = 1;
	public static final int HIDDEN = 2;
	public static final int OUTPUT = 3;
	
	private int layer;
	private double output;
	
	public Neuron(int type){
		
		layer=type;
	}
	
	private double activation(double x) {
		return sigmoid(x);
	}

	private double sigmoid(double x) {
		return 1.0 / (1.0 +  (Math.exp(-x)));
	}
	
	public double computeOutput(double input){

		output = activation(input);
		
		return output;
	}
	
	public double setOutput(double input){

		output = input;
		
		return output;
	}
	
	public double getOutput(){

		return output;
	}
	
	
	public int getLayer(){
		
		return layer;
	}

}
