package keel.Algorithms.FingerprintClassification.Liu10;

public class Pair implements Comparable {

	  public double value; //first element
	  public int index;  //second element
	  
	  /**
	  * Default builder
	  */
	  public Pair() {

	  }//end-method
	  
	  /**
	  * Builder
	  *
	  * @param i First double
	  * @param v Second double
	  */
	  public Pair(int i, double v) {
		  index = i;
		  value = v;
	  }//end-method

	  /**
	  * CompareTo method
	  *
	  * @param Other pair
	  * @return A integer representing the order
	  */
	  public int compareTo (Object o1) { //sort by value

		    if (this.value < ((Pair)o1).value)
		      return -1;
		    else if (this.value > ((Pair)o1).value)
		      return 1;
		    else return 0;
	  }//end-method
	  
	  public String toString(){
		  return "I: "+index+" V:"+value;
	  }


	}//end-class

